function adj=sgwt_adjoint2(y,L,c,arange,varargin)
control_params={'tol',1e-6};
argselectAssign(control_params);
argselectCheck(control_params,varargin);
argselectAssign(varargin);

assert(iscell(c));
N=size(L,1);
adj=zeros(N,1);
for j=1:numel(c)
    tmp=sgwt_cheby_op(y(1+(j-1)*N:j*N),L,c{j},arange);
    adj=adj+tmp;
end